import 'package:flutter/cupertino.dart';
import 'dart:ui' as ui show window;

class FlutterSizeFit {
  static MediaQueryData _mediaQueryData;
  static double screenWidth;
  static double screenHeight;
  static double rpx;
  static double px;
  static double textScaleFactor;
  static bool allowFontScaling;

  static void initialize(BuildContext context, {double standardWidth = 750, bool isAllowFontScaling = false}) {
    _mediaQueryData = MediaQuery.of(context);
    screenWidth = _mediaQueryData.size.width;
    screenHeight = _mediaQueryData.size.height;
    rpx = screenWidth / standardWidth;
    px = screenWidth / standardWidth * 2;
    textScaleFactor = _mediaQueryData.textScaleFactor;
    allowFontScaling = isAllowFontScaling;
  }

  // 按照像素来设置
  static double setPx(double size) {
    return FlutterSizeFit.rpx * size * 2;
  }

  // 按照rxp来设置
  static double setRpx(double size) {
    return FlutterSizeFit.rpx * size;
  }


}




