import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../config/const.dart';

class NavigatorUtils{

  static void pushPage(Widget page, {RouteSettings routeSettings, PageRouteBuilder pageRouteBuilder, bool isReplace = false}){
    if(page == null){
      return;
    }

    if (isReplace) {
      Navigator.pushAndRemoveUntil(
          appContext,
          pageRouteBuilder??CupertinoPageRoute(builder: (ctx) => page),
              (_) => false
      );
    } else{
      Navigator.push(appContext, pageRouteBuilder??CupertinoPageRoute(
          builder: (ctx) => page,
          settings: routeSettings
      ));
    }
  }


  ///通过路由注册的名字跳转
  static void pushNamed(BuildContext context, String pageName) {
    Navigator.of(context).pushNamed(pageName);
  }


  ///直接更换当前的页面
  static void pushReplacementNamed(BuildContext context, String pageName) {
    Navigator.of(context).pushReplacementNamed(pageName);
  }
}